summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Bailey2010-07-10 09:16:28 +0200
committer Robby Workman2010-07-10 09:17:59 +0200
commitafcf82c05c2d0a7a7499822ff0a2ce367c08960f (patch)
tree4300d606b3cff656a648e500c7f744ada8def3cd
parent47e5f5d5e8bf257908cc2b5a0e3ae5d74e711bc2 (diff)
downloadslackbuilds-afcf82c05c2d0a7a7499822ff0a2ce367c08960f.tar.gz
development/argus-clients: Added (open source IP Audit tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/argus-clients/README6
-rw-r--r--development/argus-clients/argus-clients.SlackBuild86
-rw-r--r--development/argus-clients/argus-clients.info10
-rw-r--r--development/argus-clients/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/development/argus-clients/README b/development/argus-clients/README
new file mode 100644
index 0000000000..dc803a6cf7
--- /dev/null
+++ b/development/argus-clients/README
@@ -0,0 +1,6 @@
+This is a Slackbuild packaging of the Argus network auditing suite.
+Argus has two packages, "argus", which includes the monitoring agent
+and "argus-clients", which includes all the tools you need to analyze
+Argus output. Similarly, I've created separate Slackbuilds; you will
+almost certainly also want to install "argus", possibly on some other
+machine.
diff --git a/development/argus-clients/argus-clients.SlackBuild b/development/argus-clients/argus-clients.SlackBuild
new file mode 100644
index 0000000000..f8a716c530
--- /dev/null
+++ b/development/argus-clients/argus-clients.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+# Slackware build script for argus-clients
+# Written by R. Bailey <bailey@akamai.com>
+
+PRGNAM=argus-clients
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make \
+ CCOPT="$SLKCFLAGS" \
+ docdir=/usr/doc/$PRGNAM-$VERSION
+make install \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING CREDITS INSTALL MANIFEST README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/argus-clients/argus-clients.info b/development/argus-clients/argus-clients.info
new file mode 100644
index 0000000000..de686f635c
--- /dev/null
+++ b/development/argus-clients/argus-clients.info
@@ -0,0 +1,10 @@
+PRGNAM="argus-clients"
+VERSION="3.0.2"
+HOMEPAGE="http://www.qosient.com/argus/index.shtml"
+DOWNLOAD="ftp://qosient.com/pub/argus/src/argus-clients-3.0.2.tar.gz"
+MD5SUM="c6e176a630844bb35304bd78a4d62078"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="rworkman"
diff --git a/development/argus-clients/slack-desc b/development/argus-clients/slack-desc
new file mode 100644
index 0000000000..7cb0f60af3
--- /dev/null
+++ b/development/argus-clients/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+argus-clients: argus-clients (open source IP Audit tool)
+argus-clients:
+argus-clients: Argus is a data network transaction auditing tool that
+argus-clients: categorizes network packets which match the boolean expression into a
+argus-clients: protocol-specific network transaction model. Argus reports on
+argus-clients: the transactions that it discovers, as they occur.
+argus-clients:
+argus-clients: This package "argus-clients" includes programs useful for analyzing
+argus-clients: output from the Argus daemon, which is packaged separately in the
+argus-clients: "argus" slackbuild.
+argus-clients: